#!/bin/bash

. ./env

if [ "x$LOGDIR" = "x" -o ! -d "$LOGDIR" ]; then
  echo "correct LOGIDR in ./env"
  exit 1;
fi

cat /usr/share/zoneinfo/Asia/Tokyo > /etc/localtime

cp -f /etc/default/locale $LOGDIR/locale.org
sed -e 's/zh_CN/ja_JP/' $LOGDIR/locale.org | sed -e 's/zh/ja/' > /etc/default/locale
echo /etc/default/locale:
cat /etc/default/locale
echo

if [ ! -d /var/log/apt ]; then
	mkdir /var/log/apt
fi 
grep 192.168.2.239 /etc/apt/sources.list > /dev/null
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  echo "deb http://repository.handhelds.org/hasty-armv6el-vfp hasty main multiverse universe restricted" > /etc/apt/sources.list
fi
echo /etc/apt/sources.list:
cat /etc/apt/sources.list
echo

cp -f /etc/xdg/lxsession/LXDE/autostart $LOGDIR/autostart.org
sed -e 's/@fcitx/@scim -d/' $LOGDIR/autostart.org > /etc/xdg/lxsession/LXDE/autostart 
echo /etc/xdg/lxsession/LXDE/autostart:
cat /etc/xdg/lxsession/LXDE/autostart
echo

df | grep "/mnt/loop" > /dev/null
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  echo "remove soft.img first!"
  exit
fi

if [ ! -L /var ]; then
   sh dflog.sh 1
   tar -C / -cf - var | tar -C /home -xpf -
   mv /var /var.old 
   ln -sf /home/var /var
   sh dflog.sh 2
fi

# shutdown -r now
echo "done.  reboot! "

