#!/bin/bash

. ./env

if [ "x$LOGDIR" = "x" -o ! -d "$LOGDIR" ]; then
  echo "correct LOGIDR in ./env"
  exit 1;
fi
if [ "x$TUSER" = "x" ]; then
  echo "correct TUSER in ./env"
  exit 1;
fi
if [ "x$TNET" = "x" ]; then
  echo "correct TNET in ./env"
  exit 1;
fi
if [ "x$TMASK" = "x" ]; then
  echo "correct TMASK in ./env"
  exit 1;
fi

grep factory /etc/init.d/openbsd-inetd > /dev/null
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  cp -f /etc/init.d/openbsd-inetd $LOGDIR/inetd.org
  sed -e '/factory/s/^if/#if/' $LOGDIR/inetd.org > /etc/init.d/openbsd-inetd
fi
echo /etc/init.d/openbsd-inetd:
grep factory /etc/init.d/openbsd-inetd
echo

grep "127.0.0.1" /etc/hosts.allow > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
   echo "ALL : 127.0.0.1" >> /etc/hosts.allow
fi
grep "$TNET" /etc/hosts.allow > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
   echo "ALL : $TNET/$TMASK" >> /etc/hosts.allow
fi
echo /etc/hosts.allow:
grep -v '^#' /etc/hosts.allow
echo


grep '^ALL : ALL' /etc/hosts.deny > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
   echo 'ALL : ALL' >> /etc/hosts.deny
fi
echo /etc/hosts.deny:
grep -v '^#' /etc/hosts.deny
echo

pwconv
grep "^$TUSER:" /etc/passwd > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
  adduser $TUSER 
fi
echo /etc/passwd:
grep "^$TUSER:" /etc/passwd
echo

grep "^$TUSER" /etc/sudoers > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
   echo "$TUSER  ALL=NOPASSWD: ALL" >> /etc/sudoers
fi
grep "^$TUSER" /etc/sudoers 
echo

if [ "x$TADDR" = x ]; then
TADDR=$TNET
fi
if [ ! -e $LOGDIR/ifup.sh ];then
    echo "#!/bin/sh" >  $LOGDIR/ifup.sh
    echo "ifconfig eth1 $TADDR netmask $TMASK up" >> $LOGDIR/ifup.sh
fi
if [ ! -e $LOGDIR/g_ether.sh ];then
    echo "#!/bin/sh" >  $LOGDIR/g_ether.sh
    echo "rmmod g_file_storage 2>/dev/null" >> $LOGDIR/g_ether.sh
    echo "rmmod g_ether 2>/dev/null" >> $LOGDIR/g_ether.sh
    echo "modprobe g_ether; sleep 2" >> $LOGDIR/g_ether.sh
    echo "ifconfig usb0 $TADDR netmask $TMASK up" >> $LOGDIR/g_ether.sh
fi
if [ ! -e $LOGDIR/g_stor.sh ];then
    echo "#!/bin/sh" >  $LOGDIR/g_stor.sh
    echo "rmmod g_file_storage 2>/dev/null" >> $LOGDIR/g_stor.sh
    echo "rmmod g_ether 2>/dev/null" >> $LOGDIR/g_stor.sh
    echo "modprobe g_file_storage" >> $LOGDIR/g_stor.sh
fi

# telnet localhost
